package com.jz.dm.mall.config.rabbitConfig;

import org.springframework.amqp.core.*;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

/**
 * @ClassName:
 * @Author: Carl
 * @Date: 2021/1/20
 * @Version:
 */
@Configuration
public class RabbitConfig {
    //声明队列
    @Bean("myQueue")
    public Queue myQueue(){
        return QueueBuilder.durable("queue.order").build();
    }


    //声明交换机
    @Bean("myExchange")
    public Exchange myExchange(){
        return ExchangeBuilder.directExchange("exchange.order").build();
    }

    //声明绑定
    @Bean
    public Binding myBinding(@Qualifier("myQueue")Queue myQueue,
                             @Qualifier("myExchange")Exchange myExchange){
        return BindingBuilder.bind(myQueue).to(myExchange).with("queue.order").noargs();
    }

}
