package com.jz.dm.mall.moduls.controller.customer.bean;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @ClassName: CustomerDto
 * @Description: 商城用户返回对象参数
 * @Author Bellamy
 * @Date 2020/12/9
 * @Version 1.0
 */
@ApiModel(value = "商城用户--返回参数对象", description = "返回参数对象")
@Data
public class CustomerDto implements Serializable {

    /**
     * 用户id
     */
    @ApiModelProperty(value = "账户id")
    private Long customerId;
    /**
     * 企业id
     */
    @ApiModelProperty(value = "企业id")
    private Long departmentId;
    /**
     * 密码
     */
    @ApiModelProperty(value = "密码")
    private String password;
    /**
     * 账户
     */
    @ApiModelProperty(value = "账户")
    private String customerAccount;
    /**
     * 用户真实姓名
     */
    @ApiModelProperty(value = "真实姓名")
    private String customerName;
    /**
     * 联系电话
     */
    @ApiModelProperty(value = "电话")
    private String customerPhone;

    /**
     * 资产账户id
     */
    @ApiModelProperty(value = "资产账户id")
    private String assetsId;

    @ApiModelProperty(value = "头像")
    private String headPortraitUrl;

    @ApiModelProperty(value = "角色")
    private String roleId;
}
