package com.jz.dm.mall.moduls.controller.file;

import com.jz.common.utils.Result;

import com.jz.dm.mall.moduls.service.PictureService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletResponse;

/** * @ClassName:
 * @Author: Carl
 * @Date: 2021/1/12
 * @Version:
 */
@RestController
@Api(tags = "图片处理")
public class PictureController {

    @Autowired
    private PictureService pictureService;


    @PostMapping("/uploadPicture")
    @ApiOperation(value = "图片上传")
    @ResponseBody
    public Result uploadPicture(MultipartFile file,
                                @RequestParam(name = "params") String params) {
//		Map<String, Object> paramer = dataGoodsService.uploadPicture(file);
        Result result = pictureService.uploadPicture(file, params);
        return result;
    }

	@GetMapping("/downloadPicture")
	@ApiOperation(value = "图片下载")
	public Result downloadPicture(@RequestParam(name = "url") String url, HttpServletResponse response) {
        Result result = pictureService.downloadPicture(url, response);
        return result;
	}
}
