package com.jz.dm.mall.moduls.service.impl;


import com.jz.common.constant.ResultMsg;
import com.jz.common.utils.Result;
import com.jz.dm.mall.moduls.entity.DataGoodsCategory;
import com.jz.dm.mall.moduls.mapper.DataGoodsCategoryDao;
import com.jz.dm.mall.moduls.service.DataGoodsCategoryService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.stream.Collectors;

/**
 * 数据商品分类(行业)(TDataGoodsCategory)表服务实现类
 *
 * @author Bellamy
 * @since 2020-12-01 10:41:32
 */
@Service("dataGoodsCategoryService")
public class DataGoodsCategoryServiceImpl implements DataGoodsCategoryService {
    @Autowired
    private DataGoodsCategoryDao categoryDao;

    /**
     * 查询所有的商品分类
     *
     * @return
     */
    @Override
    public Result findCategory() {
        //1、查出所有分类
        List<DataGoodsCategory> entities = categoryDao.selectByList();

        // 找到所有的一级分类
        List<DataGoodsCategory> level1Menus = entities.stream().filter(categoryEntity -> categoryEntity.getParentId() == 0 && categoryEntity.getIfChild().equals("N")
//                categoryEntity ->
//        categoryEntity.getParentId() == 0 && categoryEntity.getIfChild().equals("N")
        ).map((menu)->{
            menu.setChildren(getChildrens(menu,entities));
            return menu;
        }).collect(Collectors.toList());
        return Result.of_success(ResultMsg.SUCCESS, level1Menus);
    }

    private List<DataGoodsCategory> getChildrens(DataGoodsCategory root,List<DataGoodsCategory> all) {

        List<DataGoodsCategory> children = all.stream().filter(categoryEntity -> {
            return categoryEntity.getParentId() == root.getCategoryId() && categoryEntity.getIfChild().equals("Y");
        }).map(categoryEntity -> {
            //1、找到子菜单,同时递归调用
            categoryEntity.setChildren(getChildrens(categoryEntity, all));
            return categoryEntity;
        }).collect(Collectors.toList());

        return children;
    }
}