package com.jz.manage.moduls.controller.order.bean;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 订单表(TOrder)实体类
 *
 * @author makejava
 * @since 2020-12-01 10:41:40
 */

@ApiModel(value = "订单管理--订单列表返回参数对象", description = "订单列表返回参数对象")
@Data
public class OrderDto {
    private static final long serialVersionUID = 651546246975691600L;
    /**
     * 订单id
     */
    @ApiModelProperty(value = "订单id")
    private Long orderId;
    /**
     * 订单编号
     */
    @ApiModelProperty(value = "订单编号")
    private String orderNumber;

    @ApiModelProperty(value = "商品名称")
    private String dataName;

    /**
     * 订单状态：01待支付，02已支付，03已取消
     */
    @ApiModelProperty(value = "订单状态：01待支付，02已支付，03已取消")
    private String orderStatus;
    /**
     * 订单金额
     */
    @ApiModelProperty(value = "订单金额")
    private BigDecimal orderMoney;
    /**
     * 订单时间
     */
    @ApiModelProperty(value = "订单时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date orderTime;

    /**
     * 企业名称
     */
    @ApiModelProperty(value = "企业名称")
    private String departmentName;

   }