package com.jz.manage.moduls.controller.sys;

import com.jz.common.constant.ResultMsg;
import com.jz.common.utils.Result;
import com.jz.common.utils.StatusCode;
import com.jz.manage.moduls.controller.BaseController;
import com.jz.manage.moduls.entity.SysMenu;
import com.jz.manage.moduls.entity.SysUser;
import com.jz.manage.moduls.service.SysUserService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.util.StringUtils;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;
import java.util.Map;

/**
 * 平台系统用户表(TSysUser)表控制层
 *
 * @author makejava
 * @since 2020-11-29 14:30:26
 */
@RestController
@RequestMapping("sysUser")
@Api(tags = "用户功能api")
public class SysUserController extends BaseController {
    /**
     * 服务对象
     */
    @Autowired
    private SysUserService sysUserService;

    @PostMapping("/getMenu")
    @ApiOperation(value = "平台--角色展示菜单", notes = "暂时不使用")
    public Result getMenu(@RequestParam(name = "userId") Long userId,
                          @RequestParam(name = "roleId") Long roleId) {
        Result menu = sysUserService.getMenu(userId, roleId);
        if (!StringUtils.isEmpty(menu)) {
            menu.setMsg("查询菜单成功!");
            menu.setCode(StatusCode.OK);
            return menu;
        }
        return new Result(false, "查询菜单失败!", StatusCode.ERROR);
    }
}