package com.jz.manage.moduls.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 商城用户(TMallCustomer)实体类
 *
 * @author Bellamy
 * @since 2020-12-01 10:41:39
 */
@TableName("t_mall_customer")
@ApiModel
@Data
public class MallCustomer implements Serializable {
    private static final long serialVersionUID = 844124479008859411L;
    /**
     * 用户id
     */
    @TableId(value = "customer_id", type = IdType.AUTO)
    private Long customerId;
    /**
     * 企业id
     */
    private Long departmentId;
    /**
     * 密码
     */
    private String password;
    /**
     * 账户
     */
    private String customerAccount;
    /**
     * 用户真实姓名
     */
    private String customerName;
    /**
     * 联系电话
     */
    private String customerPhone;
    /**
     * 邮箱
     */
    private String customerEmail;
    /**
     * 地址
     */
    private String customerAddress;
    /**
     * 用户积分
     */
    private Long customerPoint;
    /**
     * 注册时间
     */
    private Date registerTime;
    /**
     * 会员等级
     */
    private String customerLevel;
    /**
     * 证件号
     */
    private String identityCard;
    /**
     * 创建时间
     */
    private Date creTime;
    /**
     * 创建人
     */
    private String crePerson;
    /**
     * 更新时间
     */
    private Date uptTime;
    /**
     * 删除标识：Y是，N否
     */
    private String delFlag;



}