package com.jz.manage.moduls.service;

import javax.servlet.http.HttpServletRequest;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.jz.common.bean.BaseBeanResponse;
import com.jz.common.bean.BaseResponse;
import com.jz.common.bean.PageInfoResponse;
import com.jz.common.entity.DataGoods;
import com.jz.common.utils.Result;
import com.jz.manage.moduls.controller.goods.bean.dto.DataGoodsAuditDto;
import com.jz.manage.moduls.controller.goods.bean.dto.DataGoodsDto;
import com.jz.manage.moduls.controller.goods.bean.dto.DataGoodsListDto;
import com.jz.manage.moduls.controller.goods.bean.request.*;


/**
 * 数据商品(DataGoods)表服务接口
 *
 * @author Bellamy
 * @since 2020-12-01 10:41:30
 */
public interface DataGoodsService {
	
	/**条件查询所有数据商品
	 * @param dataGoodsListRequest
	 * @param httpRequest
	 * @return
	 * @throws Exception
	 */
	public PageInfoResponse<DataGoodsListDto> findList(DataGoodsListRequest dataGoodsListRequest, HttpServletRequest httpRequest)throws Exception;
	

	/**新增数据商品
	 * @param DataGoods
	 * @param httpRequest
	 * @return
	 * @throws Exception
	 */
	/**
	 * 自营数据-上传api
	 * @param dataApiUpReq
	 */
//	Result uploadApi(DataApiUpReq dataApiUpReq)throws Exception;
	
	/**主键查询数据商品
	 * @param
	 * @param httpRequest
	 * @return
	 * @throws Exception
	 */
	public BaseBeanResponse<DataGoodsDto> findById(DataGoodsRequest dataGoodsRequest, HttpServletRequest httpRequest)throws Exception;

	/**修改数据商品
	 * @param
	 * @param httpRequest
	 * @return
	 * @throws Exception
	 */
	public BaseBeanResponse<DataGoods> edit(DataGoods dataGoods, HttpServletRequest httpRequest)throws Exception;

	/**主键删除数据商品
	 * @param
	 * @param httpRequest
	 * @return
	 * @throws Exception
	 */
	public BaseResponse deleteById(DataGoodsRequest dataGoodsRequest, HttpServletRequest httpRequest)throws Exception;

	Result editStatus(Long goodsId, Long statusId);

	/**
	 * 列表查询审核数据商品
	 * @param req
	 * @param httpRequest
	 * @return
	 */
	Result<IPage<DataGoodsAuditDto>> findByAudit(DataGoodsAuditListReq req, HttpServletRequest httpRequest);

	Result auditDataGoods(DataGoodsAuditReq req);


//	Result getJoinType(String parentKey);
}